﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head><title>Features</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Features</h1>
        <h2 id="ARSFeatures-StandardFeatures">Standard Features</h2>
        <p>The following are the features of ARS:</p>
        <ol>
            <li>
                <p>Supports integration with one or more&#160;provisioning systems. You must set up the provisioning connector for each resource.</p>
            </li>
            <li>
                <p>Provides the error-handling process for failed automated provisioning actions.</p>
            </li>
            <li>
                <p>Integrates with an authoritative source; for example, AD, RACF, SAP, Oracle, Epic, etc., using its custom-built connectors.</p>
            </li>
            <li>
                <p>Integrates with any of the entitlement warehousesolutions via its custom connectors.</p>
            </li>
            <li>
                <p>Displays the existing access of users pulled from entitlement warehouse in real time or in a scheduled mode.</p>
            </li>
            <li>
                <p>Detects unmatched (orphaned) accounts and/or entitlements and&#160;allows for additional post-reconciliation processing such as administrator notification.</p>
            </li>
            <li>
                <p>Additional resource-specific matching criteria may apply to account for resource account ID naming conventions. (For&#160;example,&#160;Employee ID vs. Email Address ). These will be addressed as needed.</p>
            </li>
            <li>
                <p>Provides its own native authentication and authorization mechanism that can be configured to leverage an external authoritative source (for example, SAP).</p>
            </li>
            <li>
                <p>Provides the&#160;ability to define rules to grant roles or entitlements. Once the user authoritative source attributes are updated, ARS can evaluate the user attributes and create appropriate access change requests (Birthrights and Termination-based disable requests).</p>
            </li>
            <li>
                <p>Provides the ability to implement rules based on which an&#160;authoritative source provides the user data.</p>
            </li>
        </ol>
        <h2 id="ARSFeatures-AdministrationFeatures">Administration Features</h2>
        <p>The following are the administration features of ARS:</p>
        <p>The ARS user interface provides the following functionalities:</p>
        <ul>
            <li>
                <p>Able to search for any request by Request ID, Requester, Role, Resource</p>
            </li>
            <li>
                <p>Able to view the request history for any request</p>
            </li>
            <li>
                <p>Able to change the approver of any request (an administrator must be able to change the approver to his/her name as well)</p>
            </li>
            <li>
                <p>Able to cancel any request in flight – must provide proper justification for rejecting though</p>
            </li>
            <li>
                <p>Able to change the approver (override approver) for any request in flight</p>
            </li>
            <li>
                <p>Able to change the provisioning priority of any request</p>
            </li>
            <li>
                <p>Ability to search for requests in various stages of the life cycle: &#160;New, In Process, Ready for Provisioning/De-provisioning, Rejected and so on.</p>
            </li>
        </ul>
        <p>Provides the following Request Management features:</p>
        <ul>
            <li>
                <p>
                    <p>View requests</p>
                </p>
            </li>
            <li>
                <p>View requests</p>
            </li>
            <li>
                <p>Re-prioritize work requests</p>
            </li>
            <li>
                <p>Assign resources (analysts) to queues</p>
            </li>
            <li>
                <p>Move work (requests) from one work queue to another work queue</p>
            </li>
            <li>
                <p>Secure queue management activities (roles or entitlements to manage queue management functions)</p>
            </li>
            <li>
                <p>Allow resources (analysts) to be assigned to multiple queues</p>
            </li>
        </ul>
        <p>Provides the followingReporting&#160;features:Business Unit</p>
        <ul>
            <li>
                <p>Provisioning Queue / Team</p>
            </li>
            <li>
                <p>Target System</p>
            </li>
            <li>
                <p>Exception Reporting</p>
            </li>
            <li>
                <p>Role Provisioning Volume</p>
            </li>
            <li>
                <p>Entitlement Provisioning Volume</p>
            </li>
            <li>
                <p>Users with Multiple Accounts</p>
            </li>
            <li>
                <p>SoD Violation Reporting</p>
            </li>
            <li>
                <p>Analysts Assigned</p>
            </li>
            <li>
                <p>Number of Requests Processed</p>
            </li>
            <li>
                <p>Process time v/s SLO</p>
            </li>
            <li>
                <p>ARS Last Login</p>
            </li>
            <li>
                <p>ARS Access/Membership</p>
            </li>
            <li>
                <p>Connectors not functioning</p>
            </li>
            <li>
                <p>Scheduled processed failed</p>
            </li>
            <li>
                <p>Application error reporting</p>
            </li>
            <li>
                <p>Feeds not Processed</p>
            </li>
            <li>
                <p>Source System Reconciliation Exceptions</p>
            </li>
            <li>
                <p>System Owner Termination/Transfer</p>
            </li>
            <li>
                <p>Identities w/o Users</p>
            </li>
            <li>
                <p>Volume by Approver or Target</p>
            </li>
            <li>
                <p>Volume by Requestor</p>
            </li>
        </ul>
        <p>Custom Roles can be built for requesters, managers, application owners for the following:Volume&#160;Reports</p>
        <ul>
            <li>
                <p>Queue Statistics</p>
            </li>
            <li>
                <p>User Reporting</p>
            </li>
            <li>
                <p>Monitoring Alerts</p>
            </li>
            <li>
                <p>Exception Reporting</p>
            </li>
            <li>
                <p>Administrative User Roles</p>
            </li>
        </ul>
        <h2 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-ARSFunctionalities">ARS Functionalities</h2>
        <p style="margin-left: 0.0px;text-align: left;">The following sections explain&#160;the&#160;functionalities in the Access Request System.</p>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-SupportforDynamicAttributes">Support for Dynamic Attributes</h3>
        <p style="margin-left: 0.0px;text-align: left;">ARS provides the following abilities related to Dynamic Attributes during a request submission:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Configuration of&#160;Dynamic Attributes. A Dynamic Attribute is an attribute that is populated step 2 of the request while adding the permissions.</li>
            <li>Setup Dynamic Attributes at Role and / or Resource Level.</li>
            <li>Configuration of&#160;the Attribute type – text box, single / multi-select.</li>
            <li>Ability to define a set of values for the single/multi select attributes.</li>
            <li>Prompt user's dynamic attributes during the request process.</li>
            <li>Pass the dynamic attribute value through the approval process.</li>
            <li>Pass the dynamic attribute value to the provisioning process.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-UserSelection(Requester's&amp;Recipients)">User Selection (Requester's &amp; Recipients)</h3>
        <p style="margin-left: 0.0px;text-align: left;">ARS provides the following abilities to the user:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Initiate self-serve requests or requests on behalf of others based on the requesting user’s ARS profile.</li>
            <li>Select one or multiple users for access request.</li>
            <li>Select one or multiple systems for access requests.</li>
            <li>Allows list of users (recipient) to be filtered by Business Unit / Manager.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-ManageCurrentEntitlements">Manage Current Entitlements</h3>
        <p style="margin-left: 0.0px;text-align: left;">ARS displays entitlements currently assigned to the user along with:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Access System(s) and entitlements assigned to the user.</li>
            <li>Roles assigned to the user (if any) including entitlement detail for the role.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-RoleBasedAccessRequest">Role Based Access Request</h3>
        <p style="margin-left: 0.0px;text-align: left;">Following are the role-based access request submission options available in ARS:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Provides a list of enterprise roles to request.</li>
            <li>Provides a list of application roles filtered by application to request.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-EntitlementBasedAccessRequest">Entitlement Based Access Request</h3>
        <p>Provides a list of entitlements to request. Entitlements can be presented by application/resource and by End Point / Instance.&#160;&#160;</p>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-EndUserRequestStatus">End User Request Status</h3>
        <p style="margin-left: 0.0px;text-align: left;">Following are the available request status option for end-user in ARS:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Provides a web-based interface for users to log in and check the status of their existing requests.</li>
            <li>Provides a reference number for each pending request to enable the user to track an open request.</li>
            <li>Provides email notifications to requester and approver separately as agreed upon in the workflow.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-AccessRequest">Access Request</h3>
        <p style="margin-left: 0.0px;text-align: left;">Following are the available request options in ARS:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Users can mark resources as Auto Provisioned (also known as Connected) or Manually Provisioned (also known as Closed Loop).</li>
            <li>Supports two subsets of Closed Loop fulfillment requests.<ol style="margin-left: 0.0px;"><li>Reconciled</li><li>Non-reconciled</li></ol></li>
            <li>Upon completion of the approval workflow, ARS can create tasks for any access that requires manual provisioning.</li>
            <li>Provides a complete administrator interface for manual provisioners (also known as Resource Admins).</li>
            <li>Provides the ability to view manual provisioning requests by Business Unit, User, Application or Role.</li>
            <li>Provides the ability to claim/assign requests to a provisioner.</li>
            <li>Provides the ability for a provisioner to reassign the request to another <span style="color: rgb(51,51,51);text-decoration: none;">provisioner</span>.</li>
            <li>Provides the ability to group requests by applications irrespective of how the access was requested (through roles or entitlements).</li>
            <li>Explores the roles and provides the ability to view the actual access need to provision so that provisioner does not have to go into each requested role and view the detailed access.</li>
            <li>Displays the complete approval history for the request.</li>
            <li>Asks for a user ID if the request is for a new account. This helps with correlation of Account IDs with Users.</li>
            <li>For completed, Automated or Reconciled- Closed Loop requests ARS can validate the fulfillment of access request with the access granted in target system within a planned period of time.</li>
            <li>For completed, Unreconciled- Closed Loop fulfillment requests&#160; ARS indicates the requests was declared closed by the resource admin.</li>
            <li>For all closed fulfillment requests, ARS can record details of when and by whom the request was completed.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-PreventativeSegregationofDutiesChecks">Preventative Segregation of Duties Checks</h3>
        <p style="margin-left: 0.0px;text-align: left;">Following are the available SOD options in ARS:</p>
        <ol style="text-decoration: none;text-align: left;margin-left: 0.0px;">
            <li>Integrates with existing SOD rules engine to implement preventative SOD.</li>
            <li>Provides the SOD rules engine in the event that one does not exist in the environment.</li>
        </ol>
        <h3 style="text-decoration: none;text-align: left;margin-left: 0.0px;" id="ARSFeatures-FirefighterID">Firefighter ID</h3>
        <p>IGA now provides Fire Fighter ID (FFID) which is like a shared account, which can be requested by users. FFIDs are Fire Fighter accounts of the type Fire Fighter ID in the accounts table which is not tied to a particular user account, but is for an already existing FFID available in the third party target application. The concept of Firefighter ID has been introduced to request for a Privileged ID (Account) to a target application in emergency situations for a specific time period</p>
    </body>
</html>